package com.ruoyi.gysl.mapper;

import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.Notice;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业统计数据库访问层
 *
 * @author makejava
 * @since 2025-03-22 11:11:55
 */
public interface QyStatsMapper {
    /**
     * 项目情况
     */
    AllProjectResponse allProject(@Param("userName") String userName);

    /**
     * 关联项目
     */
    List<BasicInformation> relationalProject(String username);

    /**
     * 消息通知
     */
    List<Notice> qyNotice(@Param("username") String username);

    /**
     * 企业消息通知数量
     */
    int qyNoticeCount(String username);
}

